package com.gic.haoban.manage.service.pojo;

import java.io.Serializable;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * Created 2021/7/28.
 *
 * @author hua
 */
public class QywxSyncTagFormatPojo implements Serializable {
    /**
     * 企业微信标签值ID -> gic标签值ID
     */
    private Map<String, String> qywxToGicTagItemIdMap;
    /**
     * gic标签值ID -> 企业微信标签值ID
     */
    private Map<String, String> gicToQywxTagItemIdMap;
    /**
     * gic企业ID ->  企业微信标签值ID LIST
     */
    private Map<String, Set<String>> entQywxTagKeysMap;
    /**
     * gic企业ID -> gic标签值ID LIST
     */
    private Map<String, Set<String>> entGicTagItemIdMap;

    public Map<String, String> getQywxToGicTagItemIdMap() {
        return qywxToGicTagItemIdMap;
    }

    public void setQywxToGicTagItemIdMap(Map<String, String> qywxToGicTagItemIdMap) {
        this.qywxToGicTagItemIdMap = qywxToGicTagItemIdMap;
    }

    public Map<String, String> getGicToQywxTagItemIdMap() {
        return gicToQywxTagItemIdMap;
    }

    public void setGicToQywxTagItemIdMap(Map<String, String> gicToQywxTagItemIdMap) {
        this.gicToQywxTagItemIdMap = gicToQywxTagItemIdMap;
    }

    public Map<String, Set<String>> getEntQywxTagKeysMap() {
        return entQywxTagKeysMap;
    }

    public void setEntQywxTagKeysMap(Map<String, Set<String>> entQywxTagKeysMap) {
        this.entQywxTagKeysMap = entQywxTagKeysMap;
    }

    public Map<String, Set<String>> getEntGicTagItemIdMap() {
        return entGicTagItemIdMap;
    }

    public void setEntGicTagItemIdMap(Map<String, Set<String>> entGicTagItemIdMap) {
        this.entGicTagItemIdMap = entGicTagItemIdMap;
    }
}
